org.apache.catalina

## Interface Contained

- All Known Implementing Classes:
    AbstractAccessLogValve, AccessLogValve, AuthenticatorBase, BasicAuthenticator, ClusterSingleSignOn, CrawlerSessionManagerValve, DigestAuthenticator, ErrorReportValve, ExtendedAccessLogValve, FormAuthenticator, JDBCAccessLogValve, JvmRouteBinderValve, NonLoginAuthenticator, PersistentValve, RemoteAddrValve, RemoteHostValve, RemoteIpValve, ReplicationValve, RequestFilterValve, RewriteValve, SemaphoreValve, SingleSignOn, SpnegoAuthenticator, SSLAuthenticator, SSLValve, StandardPipeline, StuckThreadDetectionValve, ValveBase

      public interface Contained

  Decoupling interface which specifies that an implementing class is associated with at most one Container instance.

  Author:
    Craig R. McClanahan, Peter Donald

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Container` | `getContainer()` Get the `Container` with which this instance is associated.
    `void` | `setContainer(Container container)` Set the `Container` with which this instance is associated.

- - ### Method Detail

    - #### getContainer

          Container getContainer()

      Get the `Container` with which this instance is associated.
      Returns:
        The Container with which this instance is associated or `null` if not associated with a Container

    - #### setContainer

          void setContainer(Container container)

      Set the `Container` with which this instance is associated.
      Parameters:
        `container` - The Container instance with which this instance is to be associated, or `null` to disassociate this instance from any Container

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.